MLAPI API Reference

# TransportHost Class

[This is preliminary documentation and is subject to change.]

Represents a Transport host
Inheritance Hierarchy
System
Object
MLAPI.Data
TransportHost

Namespace: MLAPI.Data
Assembly: MLAPI (in MLAPI.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
Copy

    [SerializableAttribute]
    public class TransportHost

Request Example
View Source

The TransportHost type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| TransportHost | Initializes a new instance of the TransportHost class

Top
Methods

| Name | Description
--- | --- | ---
| Equals | (Inherited from Object.)
| Finalize | (Inherited from Object.)
| GetHashCode | (Inherited from Object.)
| GetType | (Inherited from Object.)
| MemberwiseClone | (Inherited from Object.)
| ToString | (Inherited from Object.)

Top
Fields

| Name | Description
--- | --- | ---
| Name | The name of the host
| Port | The port the host should listen to
| Websockets | If true, the socket will listen on TCP-Websockets, otherwise UDP

Top
See Also

#### Reference

MLAPI.Data Namespace